Skip to main content
GET
/
api
/
account
/
{stakeAddress}
/
info
Stake account information
curl --request GET \
  --url https://nexus-dev.gerowallet.io/api/account/{stakeAddress}/info \
  --header 'Authorization: Bearer <token>'
{
  "active": true,
  "activeEpoch": 123,
  "controlledAmount": "<string>",
  "rewardsSum": "<string>",
  "reservesSum": "<string>",
  "withdrawalsSum": "<string>",
  "treasurySum": "<string>",
  "withdrawableAmount": "<string>",
  "poolId": "<string>",
  "drepId": "<string>",
  "stakeAddress": "<string>",
  "utxoBalance": "<string>",
  "deposit": "<string>",
  "proposalRefund": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://nexus.gerowallet.io/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT Token Authentication

Path Parameters

stakeAddress
string
required
Required string length: 59 - 200
Pattern: ^(stake1[a-z0-9]{53}|stake_test1[a-z0-9]{48,53})$

Query Parameters

network
enum<string>
Available options:
MAINNET,
PREPROD

Response

Stake account information retrieved

active
boolean
activeEpoch
integer<int32>
controlledAmount
string
rewardsSum
string
reservesSum
string
withdrawalsSum
string
treasurySum
string
withdrawableAmount
string
poolId
string
drepId
string
stakeAddress
string
utxoBalance
string
deposit
string
proposalRefund
string